<template lang="pug">
q-card.full-width
  q-layout(container)
    q-header(bordered).sticky.bg-white.text-black
      q-toolbar
        .text-h6 {{$t('pagetitle')}}
        q-space
        q-btn(icon="close" flat round dense v-close-popup size="lg")
    q-page-container
      q-page(padding)
        .text-h5.text-secondary {{$t('detail')}}
        .text-h5.text-grey-8 {{$t('detail1')}}
        
        .row.q-col-gutter-md.q-my-md.q-mb-lg
          .col-12
            q-card(flat).overflow-hidden
              q-card-section.text-center
                .row.justify-center
                  .col-6
                    q-select(:options="mappedlangs" outlined v-model="selectedlang" :label="$t('selectlanguage')")

        div(v-if="selectedlang")

          .text-h5.q-mb-md {{$t('pretranslated')}}
          .text-center
            q-btn(size="lg" color="secondary" @click="goto()") {{$t('preprepared')}}

          .text-h5.q-my-md {{$t('buildyourown')}}
          .row.q-col-gutter-md
            .col-12.col-sm-6.col-md-4.col-lg-3.items-
              q-card.overflow-hidden.full-height.column
                q-card-section.col.bg-grey-3(style="min-height:300px;")
                  .absolute-center.text-h4.text-center {{$t('adobetemplates')}}
                q-separator
                q-card-section(actions align="center")
                  q-btn(color="secondary" type="a" target="_blank" href="https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/Epcs_EG9hNZNq0FP1tlPB9MBtkB-9IsmLi41kMTHehL4Ng?e=p5TwR9") {{$t('browse')}}
            .col-12.col-sm-6.col-md-4.col-lg-3(v-for="can in canva")
              q-card.overflow-hidden
                .bg-warning.q-pa-sm.absolute-top.z-top(v-if="!isNative(can)") {{$t('comingsoon')}}
                q-responsive(:ratio="0.905")
                  q-img.full-width(:src="getThumb(can)" style="border:none;")
                .text-h6.q-ma-sm.text-center {{can.title}}
                q-separator
                q-card-section(actions align="center")
                  q-btn(color="secondary" type="a" target="_blank" :href="getLink(can)") {{$t('startediting')}}
          
          //- .text-h5.q-my-md {{$t('buildyourown')}}
          //-   .text-caption ADOBE
          //- .row.q-col-gutter-md
            
</template>

<script>
import map from "lodash/map";
import langmap from "langmap";
import { openURL } from "quasar";
export default {
  computed: {
    mappedlangs() {
      // console.log(langmap);
      return map(this.languages, (v, k) => {
        // console.log(langmap, k);
        return {
          label: langmap[k].nativeName,
          value: k,
          link: v,
        };
      });
    },
    canva() {
      return [
        {
          title: this.$t("maininfographic"),
          tag: "infographic",
          links: {
            en: {
              link:
                "https://www.canva.com/design/DAEezODrAog/XfglhgGmb3ZpEfrrbHdDEw/view?utm_content=DAEezODrAog&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEezODrAog/view?embed",
            },
            fr: {
              link:
                "https://www.canva.com/design/DAEfZUNRw9c/UoqeNMOAsGkKuEY6e7JlrA/view?utm_content=DAEfZUNRw9c&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEfZUNRw9c/view?embed",
            },
            es: {
              link:
                "https://www.canva.com/design/DAEfl1Mlqh4/WtCaISiFMIQAfnq8zriSbw/view?utm_content=DAEfl1Mlqh4&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEfl1Mlqh4/view?embed",
            },
            ar: {
              link:
                "https://www.canva.com/design/DAEfnuu_KhY/0fkhEbRtbmwe6a2z0zsiyQ/view?utm_content=DAEfnuu_KhY&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEfnuu_KhY/view?embed",
            },
          },
        },
        {
          title: this.$t("eventposters"),
          tag: "events",
          links: {
            en: {
              link:
                "https://www.canva.com/design/DAEeyPBpKQk/Rhte754eXsIwcUM6snoDNg/view?utm_content=DAEeyPBpKQk&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEeyPBpKQk/view?embed",
            },
          },
        },
        {
          title: this.$t("submissionreminders"),
          tag: "reminders",
          links: {
            en: {
              link:
                "https://www.canva.com/design/DAEet46YMEM/27cMQKOeKNdbPP0ZCibyJg/view?utm_content=DAEet46YMEM&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEet46YMEM/view?embed",
            },
            fr: {
              link:
                "https://www.canva.com/design/DAEe6MZWuio/cw4aH0IV5nn1IIn_hPVYhg/view?utm_content=DAEe6MZWuio&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEe6MZWuio/view?embed",
            },
            es: {
              link:
                "https://www.canva.com/design/DAEfmMMNN30/fIjhwxpTg-OMbvl_OnC7OQ/view?utm_content=DAEfmMMNN30&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEfmMMNN30/view?embed",
            },
            ar: {
              link:
                "https://www.canva.com/design/DAEfoK3VEA8/4GbQfhnE6Hl7gL96Dp-YAA/view?utm_content=DAEfoK3VEA8&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEfoK3VEA8/view?embed",
            },
          },
        },
        {
          title: this.$t("emailbanner"),
          tag: "email",
          links: {
            en: {
              link:
                "https://www.canva.com/design/DAEe5fRbgtY/HV8zXQKm6AGGmz85WqoMYg/view?utm_content=DAEe5fRbgtY&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEe5fRbgtY/view?embed",
            },
          },
        },
        {
          title: this.$t("blanktemplate"),
          tag: "blank",
          links: {
            en: {
              link:
                "https://www.canva.com/design/DAEezKtfNJE/WoxJ4y23FcodSNTYcFgs6w/view?utm_content=DAEezKtfNJE&utm_campaign=designshare&utm_medium=link&utm_source=sharebutton&mode=preview",
              src: "https://www.canva.com/design/DAEezKtfNJE/view?embed",
            },
          },
        },
      ];
    },
  },
  methods: {
    goto() {
      openURL(this.selectedlang.link);
    },
    getLink(can) {
      if (can.links[this.selectedlang.value])
        return can.links[this.selectedlang.value].link;
      else return can.links["en"].src;
    },
    isNative(can) {
      return can.links[this.selectedlang.value];
    },
    getThumb(can) {
      if (can.links[this.selectedlang.value])
        return `/img/thumb/${this.selectedlang.value}/${can.tag}.png`;
      else return `/img/thumb/en/${can.tag}.png`;
    },
    getSrc(can) {
      if (can.links[this.selectedlang.value])
        return can.links[this.selectedlang.value].src;
      else return can.links["en"].src;
    },
  },
  data: () => {
    return {
      selectedlang: "",
      languages: {
        ar:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EmZSraVQWoNOsgEFsE82AysBrNZKPzXGkmlCbL7KPq8k2Q?e=ROz6Wl",
        id:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EhxOxf9UV8dJsJQ68jilqJoBT8GpXVfUCFrmRSZUnNrO_w?e=AdJC3e",
        bn:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/Etc-cAJqzLxIgn5SYuTHJisBHOfQudsIG8lDIlGc3WbErQ?e=GJJEn8",
        zh:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/ErNOWlszW8VFs6CfeCmqjrwBV7Mzg20YnQ7ERo8sW9j9WQ?e=kI7DPw",
        en:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EmD-1f0MHWdNnxSKfBzn5q8BD3-6q7gbbO-EXz7Wsrt2uQ?e=PwNzZo",
        fr:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EtFITpzX0DJLgrvEiuIYjdEB4NqxpvfrDPkzo52jgEEWgA?e=4zhcRZ",
        hi:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/ElWb-_EA9iFNmIqG9wAZKBIBkhVSzJWbEa9lFRHQm0fnTQ?e=j8jhvl",
        ko:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/ErFKmaspXPJDhICMls5SkKcBObQQUhciAABfvTW17FMhOg?e=BcuwJj",
        fa:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/Eupj13HY67NAglOtd-6B69QBBoQu-nR5T0fhu9vhCnyiIA?e=TA4fc6",
        pt:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EmTefHavUpdCln2RqwrP6AwBC9yvle7VcEPQCGHlTwJlIg?e=0rVssY",
        pa:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EhMOzSgWExhNti1s5qeqWXsBYDNEuq0VIJsiVmEX2arsgg?e=b2QMAW",
        ru:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EhYAsBxknbFKj7mRR2nvWggBKaQN-kSA9-GzyxXaNNl-NA?e=yhk7k2",
        sw:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/Ei0U34qZkqJGosauIh7dC68BV01b1RuGlsSpAVCjgRthcQ?e=9GBb9Q",
        es:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EkNf-rkGOk1Ng8_gFZJVTmMBz4eUXiA3AIinzd2MS3DU8w?e=LugY29",
        tr:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EkER502v7CVOu-PrB736ZjsBpfzONbsjT484i7RQeEubwg?e=7LEdrd",
        ur:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/EjzOZdou_8xIt1JP0xXJp_4B8XH3NH3141IfSrshKER4Fg?e=0tTwEl",
        ja:
          "https://monashuni-my.sharepoint.com/:f:/g/personal/tom_bartindale_monash_edu/Evu5goD-Un1Pkfa9D0pVQAoBE1V05TCFOOc_-BurO3vm0w?e=HOtDYs",
      },
    };
  },
};
</script>
